﻿using Sfs2X.Protocol.Serialization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace sfs2x.extension.test.serialization.model
{ 
    class CharacterProperty : SerializableSFSType
    {
        private string id;
        private int value;
        private int max;

        public CharacterProperty() { }
        public CharacterProperty(int value = 0, int max = 100, string id = null)
        {
            this.id = null;
            this.value = value;
            this.max = max;
        }

        public override string ToString()
        {
            return "value: " + value + "/" + max;
        }
    }
}
