package sfs2x.extension.test.serialization.model
{
import com.smartfoxserver.v2.protocol.serialization.SerializableSFSType

public class MagicWandItem implements Item, SerializableSFSType
{
	private var _id:String
	private var _active:Boolean
	private var _price:int
	
	public function MagicWandItem(id:String=null, price:int=220)
    {
	    super()
	    this._id = id
	    this._price = price
	    this._active = true
	}
	
	public function get id():String
	{
		return _id
	}
	public function get active():Boolean
	{
		return _active
	}
	public function get price():int
	{
		return _price
	}
	
	public function set id(value:String):void
	{
		_id = value
	}
	public function set active(value:Boolean):void
	{
		_active = value
	}
	public function set price(value:int):void
	{
		_price = value
	}
	
	public function useItem():void
	{
		trace("USING: " + _id)
	}
	public function sell():void
	{
		trace(_id + " Sold")
	}
	public function buy():void
	{
		trace(_id + " Bought")
	}
}