package sfs2x.extension.test.serialization.model
{
	import com.smartfoxserver.v2.protocol.serialization.SerializableSFSType;

	public class WaterFloodSpell implements Spell, SerializableSFSType
	{
		private var _id:String
		private var _hitPoints:int
		private var _count:int
		
		public function WaterFloodSpell(id:String=null, hitPoints:int=70)
	    {
		    this._id = id
		    this._hitPoints = hitPoints
	    }
	
		public function get id():String 
		{
	    	return _id
	    }
		public function set id(id:String):void 
		{
	    	this._id = id
	    }
		public function get hitPoints():int 
		{
	    	return _hitPoints
	    }
		public function set hitPoints(hitPoints:int):void 
		{
	    	this._hitPoints = hitPoints
	    }
		public function get count():int 
		{
	    	return _count
	    }
		public function set count(value:int):void 
		{
			_count = value
		}

		public function cast():void
		{
			trace("Casting " + _id)
		}
	}
}