package sfs2x.extension.test.serialization;

import sfs2x.extension.test.serialization.model.RpgCharacter;

import com.smartfoxserver.v2.entities.User;
import com.smartfoxserver.v2.entities.data.ISFSArray;
import com.smartfoxserver.v2.entities.data.ISFSObject;
import com.smartfoxserver.v2.extensions.BaseClientRequestHandler;

public class SetModelHandler extends BaseClientRequestHandler
{
	@Override
	public void handleClientRequest(User sender, ISFSObject params)
	{
		StringBuilder sb = new StringBuilder("Received Model: \n");
		
		ISFSArray knights = params.getSFSArray("knights");
		for (int i = 0; i < knights.size(); i++)
		{
			RpgCharacter knight = (RpgCharacter) knights.getClass(i);
			sb.append(knight.toString());
		}
		
		trace(sb.toString());
	}
}
